%global _empty_manifest_terminate_build 0
Name:           python-uritemplate
Version:        4.1.1
Release:        1
Summary:        Implementation of RFC 6570 URI Templates
License:        Apache-2.0 or BSD
URL:            https://uritemplate.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/d2/5a/4742fdba39cd02a56226815abfa72fe0aa81c33bed16ed045647d6000eba/uritemplate-4.1.1.tar.gz
BuildArch:      noarch
%description
uritemplate Documentation_ -GitHub_ -Travis-CI_Simple python library to deal
with URI Templates.

%package -n python3-uritemplate
Summary:        Implementation of RFC 6570 URI Templates
Provides:       python-uritemplate
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-uritemplate
uritemplate Documentation_ -GitHub_ -Travis-CI_Simple python library to deal
with URI Templates. The API looks like.. code-block:: python from uritemplate
import URITemplate, expand NOTE: URI params must be strings not integers
gist_uri ' t URITemplate(gist_uri) print(t.expand(gist_id'123456')) > or
print(expand(gist_uri, gist_id'123456')) also t.expand({'gist_id': '123456'})
print(expand(gist_uri, {'gist_id': '123456'}))Where it might be useful to have a
class.

%package help
Summary:        Implementation of RFC 6570 URI Templates
Provides:       python3-uritemplate-doc
%description help
uritemplate Documentation_ -GitHub_ -Travis-CI_Simple python library to deal
with URI Templates.

%prep
%autosetup -n uritemplate-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-uritemplate -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat Jun 04 2022 OpenStack_SIG <openstack@openeuler.org> - 4.1.1-1
- Upgrade python3-uritemplate to version 4.1.1

* Wed May 11 2022 yangping <yangping69@h-partners> - 3.0.1-2
- License compliance rectification

* Sat May 07 2022 xigaoxinyan <xigaoxinyan@h-partners.com> -3.0.1-1
- Update to 3.0.1

* Fri Oct 30 2020 jiangxinyu <jiangxinyu@kylinos.cn> - 3.0.0-10
- Init python3-uritemplate project
